Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.directwebremoting.webwork
Class DWRAction

    java.lang.Object
      org.directwebremoting.webwork.DWRAction

    public class DWRAction

extends java.lang.Object

This class represents the entry point to all WebWork action invocations. It identifies the action to be invoked, prepares the action invocation context and finally wraps the result. You can configure an `IDWRActionProcessor` through a context-wide initialization parameter `dwrActionProcessor` that whose methods will be invoked around action invocation.

Author:
  Alexandru Popescu

Method Summary
`static AjaxResult` | `execute(ActionDefinition actionDefinition, java.util.Map params, javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response, javax.servlet.ServletContext servletContext)` Entry point for all action invocations.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### execute

    public static AjaxResult execute(ActionDefinition actionDefinition,
                                     java.util.Map params,
                                     javax.servlet.http.HttpServletRequest request,
                                     javax.servlet.http.HttpServletResponse response,
                                     javax.servlet.ServletContext servletContext)
                              throws javax.servlet.ServletException

  Entry point for all action invocations.

  Parameters:
    `actionDefinition` - the identification information for the action
    `params` - action invocation parameters
    `request` - original request
    `response` - original response
    `servletContext` - current `ServletContext`
  Returns:
    an `AjaxResult` wrapping invocation result
  Throws:
    `javax.servlet.ServletException` - thrown if the initialization or invocation of the action fails

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Copyright ¬ 2005
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD